For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create an order amount promotion rule

How to create an order amount promotion rule via API

To create a new order amount promotion rule, send a POST request to the /api/order_amount_promotion_rules endpoint, passing the resource arguments in the request body.

Request

POST https://yourdomain.commercelayer.io/api/order_amount_promotion_rules

Arguments

Body Parameter
Type
Required

type

string

Required

attributes.reference

string

Optional

attributes.reference_origin

string

Optional

attributes.metadata

object

Optional

attributes.order_amount_cents

integer

Optional

attributes.use_subtotal

boolean

Optional, deafult is 'false'

relationships.promotion

object

Required

Example

The following request creates a new order amount promotion rule:

curl -g -X POST \
  'https://yourdomain.commercelayer.io/api/order_amount_promotion_rules' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token' \
  -H 'Content-Type: application/vnd.api+json' \
  -d '{
  "data": {
    "type": "order_amount_promotion_rules",
    "relationships": {
      "promotion": {
        "data": {
          "type": "promotions",
          "id": "ABCRtyUpBa"
        }
      }
    }
  }
}'

On success, the API responds with a 201 Created status code, returning the created resource object:

{
  "data": {
    "id": "XAyRWNUzyN",
    "type": "order_amount_promotion_rules",
    "links": {
      "self": "https://yourdomain.commercelayer.io/api/order_amount_promotion_rules/XAyRWNUzyN"
    },
    "attributes": {
      "type": "coupon_codes_promotion_rules",
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": "ANY-EXTERNAL-REFEFERNCE",
      "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
      "metadata": {
        "foo": "bar"
      },
      "order_amount_cents": 1000,
      "order_amount_float": 10.0,
      "formatted_order_amount": "€10,00",
      "use_subtotal": true
    },
    "relationships": {
      "promotion": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/order_amount_promotion_rules/XAyRWNUzyN/relationships/promotion",
          "related": "https://yourdomain.commercelayer.io/api/order_amount_promotion_rules/XAyRWNUzyN/promotion"
        }
      },
      "event_stores": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/order_amount_promotion_rules/XAyRWNUzyN/relationships/event_stores",
          "related": "https://yourdomain.commercelayer.io/api/order_amount_promotion_rules/XAyRWNUzyN/event_stores"
        }
      }
    },
    "meta": {
      "mode": "test",
      "organization_id": "xRRkjDFafe",
      "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
    }
  },
  "meta": {
    "mode": "test",
    "organization_id": "xRRkjDFafe",
    "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
  }
}

Last updated